VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsINetworkConnectionEvents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: Frank Schler
' Datum: 09.12.2019
' Status: Komplett

Option Explicit

' ----==== Events INetworkConnectionEvents ====----
Public Event NetworkConnectionConnectivityChanged(ByVal networkID As String, ByVal newConnectivity As NLM_CONNECTIVITY)
Public Event NetworkConnectionPropertyChanged(ByVal networkID As String, ByVal flags As NLM_CONNECTION_PROPERTY_CHANGE)

' ----==== Variablen ====----
Private pINetworkConnectionEvents As Long

Private Sub Class_Initialize()

    ' Interface INetworkConnectionEvents initialisieren
    pINetworkConnectionEvents = modINetworkConnectionEvents.INetworkConnectionEvents(ObjPtr(Me))

End Sub

Private Sub Class_Terminate()
    
    ' ist ein Pointer auf das Interface vorhanden
    If pINetworkConnectionEvents <> 0& Then
    
        ' ruft Release des Interfaces auf
        Call CoTaskMemFree(pINetworkConnectionEvents)
    
    End If
    
End Sub

' ----==== liefert den Pointer auf INetworkConnectionEvents zurck ====----
Public Function GetIPtr() As Long

    GetIPtr = pINetworkConnectionEvents

End Function

' ----==== Raise Events INetworkConnectionEvents ====----
'
Public Sub NetworkConnectionConnectivityChanged(ByVal networkID As String, ByVal newConnectivity As Long)

    ' networkId As GUID
    ' newConnectivity As NLM_CONNECTIVITY
    RaiseEvent NetworkConnectionConnectivityChanged(networkID, newConnectivity)

End Sub

Public Sub NetworkConnectionPropertyChanged(ByVal networkID As String, ByVal flags As Long)

    ' networkId As GUID
    ' flags As NLM_CONNECTION_PROPERTY_CHANGE
    RaiseEvent NetworkConnectionPropertyChanged(networkID, flags)

End Sub
