VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsINetworkListManagerEvents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: Frank Schler
' Datum: 09.12.2019
' Status: Komplett

Option Explicit

' ----==== Events INetworkListManagerEvents ====----
Public Event ConnectivityChanged(ByVal newConnectivity As NLM_CONNECTIVITY)

' ----==== Variablen ====----
Private pINetworkListManagerEvents As Long

Private Sub Class_Initialize()

    ' Interface INetworkListManagerEvents initialisieren
    pINetworkListManagerEvents = modINetworkListManagerEvents.INetworkListManagerEvents(ObjPtr(Me))

End Sub

Private Sub Class_Terminate()
    
    ' ist ein Pointer auf das Interface vorhanden
    If pINetworkListManagerEvents <> 0& Then
    
        ' ruft Release des Interfaces auf
        Call CoTaskMemFree(pINetworkListManagerEvents)
    
    End If
    
End Sub

' ----==== liefert den Pointer auf INetworkListManagerEvents zurck ====----
Public Function GetIPtr() As Long

    GetIPtr = pINetworkListManagerEvents

End Function

' ----==== Raise Events INetworkListManagerEvents ====----
'
Public Sub ConnectivityChanged(ByVal newConnectivity As Long)
    
    ' newConnectivity As NLM_CONNECTIVITY
    RaiseEvent ConnectivityChanged(newConnectivity)
    
End Sub

