VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Form1"
   ClientHeight    =   6165
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   15060
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6165
   ScaleWidth      =   15060
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command3 
      Caption         =   "Clear Textbox"
      Height          =   465
      Left            =   4050
      TabIndex        =   3
      Top             =   120
      Width           =   1875
   End
   Begin VB.TextBox txtInfo 
      BeginProperty Font 
         Name            =   "Segoe UI"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5385
      Left            =   150
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   2
      Text            =   "Form1.frx":0000
      Top             =   660
      Width           =   14775
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Network Info"
      Height          =   465
      Left            =   2100
      TabIndex        =   1
      Top             =   120
      Width           =   1875
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Connect Info"
      Height          =   465
      Left            =   150
      TabIndex        =   0
      Top             =   120
      Width           =   1875
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'https://docs.microsoft.com/de-de/previous-versions/windows/desktop/mpc/network-awareness-on-windows-vista-and-windows-7?redirectedfrom=MSDN

' ----==== Interface IIDs ====----
Private Const IID_IPropertyBag As String = "{55272A00-42CB-11CE-8135-00AA004BB851}"
Private Const IID_IConnectionPointContainer As String = "{B196B284-BAB4-101A-B69C-00AA00341D07}"
Private Const IID_INetworkEvents As String = "{DCB00004-570F-4A9B-8D69-199FDBA5723B}"
Private Const IID_INetworkConnectionEvents As String = "{DCB00007-570F-4A9B-8D69-199FDBA5723B}"
Private Const IID_INetworkListManagerEvents As String = "{DCB00001-570F-4A9B-8D69-199FDBA5723B}"


' ----==== Variablen ====----
Private lEventsCookie As Long
Private cINetworkListManager As clsINetworkListManager
Private cIConnectionPoint As clsIConnectionPoint
Private cIConnectionPointContainer As clsIConnectionPointContainer
Private WithEvents cINetworkEvents As clsINetworkEvents
Attribute cINetworkEvents.VB_VarHelpID = -1
Private WithEvents cINetworkConnectionEvents As clsINetworkConnectionEvents
Attribute cINetworkConnectionEvents.VB_VarHelpID = -1
Private WithEvents cINetworkListManagerEvents As clsINetworkListManagerEvents
Attribute cINetworkListManagerEvents.VB_VarHelpID = -1

' ----==== Interface INetworkListManagerEvents Events ====----
Private Sub cINetworkListManagerEvents_ConnectivityChanged(ByVal newConnectivity As NLM_CONNECTIVITY)
    Call AddText("cINetworkListManagerEvents_ConnectivityChanged")
    Call DebugPrint_Connectivity(newConnectivity, "INetworkListManagerEvents_ConnectivityChanged")
End Sub

' ----==== Interface INetworkConnectionEvents Events ====----
Private Sub cINetworkConnectionEvents_NetworkConnectionConnectivityChanged(ByVal networkID As String, ByVal newConnectivity As NLM_CONNECTIVITY)
    Call AddText("INetworkConnectionEvents_NetworkConnectionConnectivityChanged.networkID = " & networkID)
    Call DebugPrint_Connectivity(newConnectivity, "INetworkConnectionEvents_NetworkConnectionConnectivityChanged")
End Sub

Private Sub cINetworkConnectionEvents_NetworkConnectionPropertyChanged(ByVal networkID As String, ByVal flags As NLM_CONNECTION_PROPERTY_CHANGE)
    Call AddText("INetworkConnectionEvents_NetworkConnectionPropertyChanged.networkID = " & networkID)
    Call AddText("INetworkConnectionEvents_NetworkConnectionPropertyChanged.flags = " & CStr(flags))
End Sub

' ----==== Interface INetworkEvents Events ====----
Private Sub cINetworkEvents_NetworkAdded(ByVal networkID As String)
    Call AddText("INetworkEvents_NetworkAdded.networkID = " & networkID)
End Sub

Private Sub cINetworkEvents_NetworkDeleted(ByVal networkID As String)
    Call AddText("INetworkEvents_NetworkDeleted.networkID = " & networkID)
End Sub

Private Sub cINetworkEvents_NetworkConnectivityChanged(ByVal networkID As String, ByVal newConnectivity As NLM_CONNECTIVITY)
    Call AddText("INetworkEvents_NetworkConnectivityChanged.networkID = " & networkID)
    Call DebugPrint_Connectivity(newConnectivity, "INetworkEvents_NetworkConnectivityChanged")
End Sub

Private Sub cINetworkEvents_NetworkPropertyChanged(ByVal networkID As String, ByVal flags As NLM_NETWORK_PROPERTY_CHANGE)
    Call AddText("INetworkEvents_NetworkPropertyChanged.networkID = " & networkID)
    Call DebugPrint_Flags(flags, "INetworkEvents_NetworkPropertyChanged")
End Sub

Private Sub Form_Load()

    Dim pIConnectionPoint As Long
    Dim ppIConnectionPoint As Long
    Dim pIConnectionPointContainer As Long
    Dim pIEnumConnectionPoints As Long
    Dim pIEnumConnections As Long
    Dim cIUnknown As clsIUnknown
    Dim cIEnumConnectionPoints As clsIEnumConnectionPoints
    Dim cIEnumConnections As clsIEnumConnections
    Dim tCD As CONNECTDATA
    Dim ptCD As Long
    
    txtInfo.Text = vbNullString

    Set cINetworkListManager = New clsINetworkListManager

    If Not cINetworkListManager Is Nothing Then

        pIConnectionPointContainer = cINetworkListManager.QueryInterface( _
            IID_IConnectionPointContainer)

        If pIConnectionPointContainer <> 0& Then

            Set cIConnectionPointContainer = New clsIConnectionPointContainer
            Call cIConnectionPointContainer.Init(pIConnectionPointContainer)
            
            pIEnumConnectionPoints = cIConnectionPointContainer.EnumConnectionPoints
            
            If pIEnumConnectionPoints <> 0 Then
            
                Set cIEnumConnectionPoints = New clsIEnumConnectionPoints
                Call cIEnumConnectionPoints.Init(pIEnumConnectionPoints)
                
                ppIConnectionPoint = VarPtr(pIConnectionPoint)
                
                Do While cIEnumConnectionPoints.Fetch(1&, _
                        ppIConnectionPoint, 0&) = True
                        
                    If pIConnectionPoint <> 0& Then
            
                        Set cIConnectionPoint = New clsIConnectionPoint
                        Call cIConnectionPoint.Init(pIConnectionPoint)

                        Call AddText("Verfgbares ConnectionInterface fr IConnectionPointContainer.FindConnectionPoint(""" _
                            & Guid2String(cIConnectionPoint.GetConnectionInterface) & """)")
                        
                        Set cIConnectionPoint = Nothing
                        
                        pIConnectionPoint = 0&
                    
                    End If
                    
                Loop
                
                Set cIEnumConnectionPoints = Nothing
                
            End If
            
            pIConnectionPoint = cIConnectionPointContainer.FindConnectionPoint(IID_INetworkEvents)
            'pIConnectionPoint = cIConnectionPointContainer.FindConnectionPoint(IID_INetworkConnectionEvents)
            'pIConnectionPoint = cIConnectionPointContainer.FindConnectionPoint(IID_INetworkListManagerEvents)
            
            If pIConnectionPoint <> 0& Then
            
                Set cIConnectionPoint = New clsIConnectionPoint
                Call cIConnectionPoint.Init(pIConnectionPoint)
                
                Set cINetworkEvents = New clsINetworkEvents
                'Set cINetworkConnectionEvents = New clsINetworkConnectionEvents
                'Set cINetworkListManagerEvents = New clsINetworkListManagerEvents
            
                lEventsCookie = cIConnectionPoint.Advise(cINetworkEvents.GetIPtr)
                'lEventsCookie = cIConnectionPoint.Advise(cINetworkConnectionEvents.GetIPtr)
                'lEventsCookie = cIConnectionPoint.Advise(cINetworkListManagerEvents.GetIPtr)
                
                
                pIEnumConnections = cIConnectionPoint.EnumConnections

                If pIEnumConnections <> 0& Then

                    Set cIEnumConnections = New clsIEnumConnections
                    Call cIEnumConnections.Init(pIEnumConnections)

                    ptCD = VarPtr(tCD)

                    Do While cIEnumConnections.Fetch(1&, ptCD, 0&) = True

                        If tCD.pUnk <> 0& Then

                            Set cIUnknown = New clsIUnknown
                            Call cIUnknown.Init(tCD.pUnk)

                            Call AddText("IEnumConnections Cookie = " & CStr(tCD.dwCookie))    ' lEventsCookie
                            Call AddText("IEnumConnections InterfacePtr = " & CStr(tCD.pUnk))  ' Pointer auf INetworkEvents oder
                                                                                               ' INetworkConnectionEvents oder
                                                                                               ' INetworkListManagerEvents
                            Set cIUnknown = Nothing

                        End If

                    Loop

                    Set cIEnumConnections = Nothing

                End If
                
            End If
            
        End If

        Call AddText("******************************************************")
        Call AddText(vbNullString)

    End If

End Sub

Private Sub Command1_Click()

    Call AddText("INetworkListManager.get_IsConnectedToInternet = " & CStr( _
        cINetworkListManager.get_IsConnectedToInternet))

    Call AddText("INetworkListManager.get_IsConnected = " & CStr( _
        cINetworkListManager.get_IsConnected))

    Call DebugPrint_Connectivity(cINetworkListManager.GetConnectivity, "INetworkListManager")
    
    Call AddText("******************************************************")
    Call AddText(vbNullString)

End Sub

Private Sub Command2_Click()

    Dim sPropName As String
    Dim pIPropertyBag As Long
    Dim pINetwork As Long
    Dim pINetworkConnection As Long
    Dim ppINetwork As Long
    Dim ppINetworkConnection As Long
    Dim ppEnumNetwork As Long
    Dim ppIEnumNetworkConnections
    Dim tDateTimeCreated As FILETIME
    Dim tDateTimeConnected As FILETIME
    Dim tPropVariant As PROPVARIANT
    Dim cIPropertyBag As clsIPropertyBag
    Dim cINetwork As clsINetwork
    Dim cIEnumNetworks As clsIEnumNetworks
    Dim cINetworkConnection As clsINetworkConnection
    Dim cIEnumNetworkConnections As clsIEnumNetworkConnections
    
    ppEnumNetwork = cINetworkListManager.GetNetworks(NLM_ENUM_NETWORK_ALL)

    If ppEnumNetwork <> 0& Then

        Set cIEnumNetworks = New clsIEnumNetworks
        Call cIEnumNetworks.Init(ppEnumNetwork)

        ppINetwork = VarPtr(pINetwork)

        Do While cIEnumNetworks.Fetch(1&, ppINetwork, 0&) = True

            If pINetwork <> 0& Then

                Set cINetwork = New clsINetwork
                Call cINetwork.Init(pINetwork)

                Call AddText("INetwork.GetName = " & cINetwork.GetName)
                Call AddText("INetwork.GetDescription = " & cINetwork.GetDescription)

                Call AddText("INetwork.GetNetworkId = " & Guid2String( _
                    cINetwork.GetNetworkId))

                Select Case cINetwork.GetDomainType

                Case NLM_DOMAIN_TYPE.NLM_DOMAIN_TYPE_NON_DOMAIN_NETWORK

                    Call AddText("INetwork.GetDomainType = Das Netzwerk ist " & _
                        "kein Active Directory-Netzwerk.")

                Case NLM_DOMAIN_TYPE.NLM_DOMAIN_TYPE_DOMAIN_NETWORK

                    Call AddText("INetwork.GetDomainType = Das Netzwerk ist ein " & _
                        "Active Directory-Netzwerk, aber dieser Computer ist " & _
                        "nicht dafr authentifiziert.")

                Case NLM_DOMAIN_TYPE.NLM_DOMAIN_TYPE_DOMAIN_AUTHENTICATED

                    Call AddText("INetwork.GetDomainType = Das Netzwerk ist ein " & _
                        "Active Directory-Netzwerk und dieser Computer ist " & _
                        "dafr authentifiziert.")

                End Select

                ppIEnumNetworkConnections = cINetwork.GetNetworkConnections

                If ppIEnumNetworkConnections <> 0& Then

                    Set cIEnumNetworkConnections = New clsIEnumNetworkConnections
                    Call cIEnumNetworkConnections.Init(ppIEnumNetworkConnections)

                    ppINetworkConnection = VarPtr(pINetworkConnection)

                    Do While cIEnumNetworkConnections.Fetch(1&, _
                        ppINetworkConnection, 0&) = True
                        
                        If pINetworkConnection <> 0& Then
                        
                            Set cINetworkConnection = New clsINetworkConnection
                            Call cINetworkConnection.Init(pINetworkConnection)
                            
                            Call AddText("INetworkConnection.GetConnectionId = " & Guid2String( _
                                cINetworkConnection.GetConnectionId))
                            
                            Call AddText("INetworkConnection.GetAdapterId = " & Guid2String( _
                                cINetworkConnection.GetAdapterId))
                            
                            Set cINetworkConnection = Nothing
                        
                        End If

                    Loop

                    Set cIEnumNetworkConnections = Nothing

                End If

                If cINetwork.GetTimeCreatedAndConnected(tDateTimeCreated, _
                    tDateTimeConnected) = True Then

                    Call AddText("INetwork.GetTimeCreatedAndConnected = " & _
                        "Netzwerk wurde erstellt am " & StringFromFileTime( _
                        tDateTimeCreated))

                    Call AddText("INetwork.GetTimeCreatedAndConnected = " & _
                        "Netzwerk wurde verbunden am " & StringFromFileTime( _
                        tDateTimeConnected))

                End If

                Call AddText("INetwork.get_IsConnectedToInternet = " & CStr( _
                    cINetwork.get_IsConnectedToInternet))

                Call AddText("INetwork.get_IsConnected = " & CStr( _
                    cINetwork.get_IsConnected))

                Call DebugPrint_Connectivity(cINetwork.GetConnectivity, "INetwork")

                Select Case cINetwork.GetCategory

                Case NLM_NETWORK_CATEGORY.NLM_NETWORK_CATEGORY_PUBLIC

                    Call AddText("INetwork.GetCategory = Das Netzwerk ist ein " & _
                        "ffentliches (nicht vertrauenswrdiges) Netzwerk.")

                Case NLM_NETWORK_CATEGORY.NLM_NETWORK_CATEGORY_PRIVATE

                    Call AddText("INetwork.GetCategory = Das Netzwerk ist ein " & _
                        "privates (vertrauenswrdiges) Netzwerk.")

                Case NLM_NETWORK_CATEGORY.NLM_NETWORK_CATEGORY_DOMAIN_AUTHENTICATED

                    Call AddText("INetwork.GetCategory = Das Netzwerk wird " & _
                        "gegen eine Active Directory-Domne authentifiziert.")

                End Select

                ' ************************************************************************
                ' https://docs.microsoft.com/en-us/windows/desktop/api/netlistmgr/nn-netlistmgr-inetwork
                ' See Remarks Section
                '
                pIPropertyBag = cINetwork.QueryInterface(IID_IPropertyBag)
                
                If pIPropertyBag <> 0& Then
                
                    Set cIPropertyBag = New clsIPropertyBag
                    Call cIPropertyBag.Init(pIPropertyBag)
                    
                    sPropName = GetPropertyBagNames(NA_NetworkClass)
                    
                    If cIPropertyBag.ReadProp(sPropName, tPropVariant) = True Then
                    
                        Call AddText("PropVariant = INetwork.IPropertyBag.Read(""" & sPropName & """)")
                        
                        Select Case tPropVariant.vt
                        Case VARENUM.VT_UINT
                            Call AddText("PropVariant Value = " & CStr(CLng(tPropVariant.vData)))
                            
                        Case VARENUM.VT_BOOL
                            Call AddText("PropVariant Value = " & CStr(CBool(tPropVariant.vData)))
                        
                        End Select
                        
                        
                    End If
                    
                    Set cIPropertyBag = Nothing
                    
                End If
                ' ************************************************************************

                Set cINetwork = Nothing

            End If

        Loop

        Set cIEnumNetworks = Nothing
        
        Call AddText("******************************************************")
        Call AddText(vbNullString)

    End If

End Sub

Private Sub Command3_Click()

    txtInfo.Text = vbNullString
    
End Sub

Private Sub Form_Unload(Cancel As Integer)

    If Not cIConnectionPoint Is Nothing Then
    
        If lEventsCookie <> 0& Then
            Call cIConnectionPoint.Unadvise(lEventsCookie)
        End If
        
        If Not cINetworkEvents Is Nothing Then
            Set cINetworkEvents = Nothing
        End If
    
        If Not cINetworkConnectionEvents Is Nothing Then
            Set cINetworkConnectionEvents = Nothing
        End If
    
        If Not cINetworkListManagerEvents Is Nothing Then
            Set cINetworkListManagerEvents = Nothing
        End If
    
        Set cIConnectionPoint = Nothing
    
    End If

    If Not cIConnectionPointContainer Is Nothing Then
        Set cIConnectionPointContainer = Nothing
    End If

    Set cINetworkListManager = Nothing

End Sub

Private Sub DebugPrint_Flags(ByVal eFlags As NLM_NETWORK_PROPERTY_CHANGE, ByVal sInterface As String)

    If (eFlags And NLM_NETWORK_PROPERTY_CHANGE_CONNECTION) = _
            NLM_NETWORK_PROPERTY_CHANGE_CONNECTION Then Call AddText( _
            sInterface & ".Flags = CHANGE_CONNECTION")

    If (eFlags And NLM_NETWORK_PROPERTY_CHANGE_DESCRIPTION) = _
            NLM_NETWORK_PROPERTY_CHANGE_DESCRIPTION Then Call AddText( _
            sInterface & ".Flags = CHANGE_DESCRIPTION")

    If (eFlags And NLM_NETWORK_PROPERTY_CHANGE_NAME) = _
            NLM_NETWORK_PROPERTY_CHANGE_NAME Then Call AddText( _
            sInterface & ".Flags = CHANGE_NAME")

    If (eFlags And NLM_NETWORK_PROPERTY_CHANGE_ICON) = _
            NLM_NETWORK_PROPERTY_CHANGE_ICON Then Call AddText( _
            sInterface & ".Flags = CHANGE_ICON")

    If (eFlags And NLM_NETWORK_PROPERTY_CHANGE_CATEGORY_VALUE) = _
            NLM_NETWORK_PROPERTY_CHANGE_CATEGORY_VALUE Then Call AddText( _
            sInterface & ".Flags = CHANGE_CATEGORY_VALUE")
End Sub


Private Sub DebugPrint_Connectivity(ByVal eConnectivity As NLM_CONNECTIVITY, ByVal sInterface As String)
    
    If eConnectivity = NLM_CONNECTIVITY_DISCONNECTED Then

        Call AddText(sInterface & ".GetConnectivity = DISCONNECTED")

    Else

        If (eConnectivity And NLM_CONNECTIVITY_IPV4_NOTRAFFIC) = _
            NLM_CONNECTIVITY_IPV4_NOTRAFFIC Then Call AddText( _
            sInterface & ".GetConnectivity = IPV4_NOTRAFFIC")

        If (eConnectivity And NLM_CONNECTIVITY_IPV6_NOTRAFFIC) = _
            NLM_CONNECTIVITY_IPV6_NOTRAFFIC Then Call AddText( _
            sInterface & ".GetConnectivity = IPV6_NOTRAFFIC")

        If (eConnectivity And NLM_CONNECTIVITY_IPV4_SUBNET) = NLM_CONNECTIVITY_IPV4_SUBNET _
            Then Call AddText(sInterface & ".GetConnectivity = IPV4_SUBNET")

        If (eConnectivity And NLM_CONNECTIVITY_IPV6_SUBNET) = NLM_CONNECTIVITY_IPV6_SUBNET _
            Then Call AddText(sInterface & ".GetConnectivity = IPV6_SUBNET")

        If (eConnectivity And NLM_CONNECTIVITY_IPV4_LOCALNETWORK) = _
            NLM_CONNECTIVITY_IPV4_LOCALNETWORK Then Call AddText( _
            sInterface & ".GetConnectivity = IPV4_LOCALNETWORK")

        If (eConnectivity And NLM_CONNECTIVITY_IPV6_LOCALNETWORK) = _
            NLM_CONNECTIVITY_IPV6_LOCALNETWORK Then Call AddText( _
            sInterface & ".GetConnectivity = IPV6_LOCALNETWORK")

        If (eConnectivity And NLM_CONNECTIVITY_IPV4_INTERNET) = _
            NLM_CONNECTIVITY_IPV4_INTERNET Then Call AddText( _
            sInterface & ".GetConnectivity = IPV4_INTERNET")

        If (eConnectivity And NLM_CONNECTIVITY_IPV6_INTERNET) = _
            NLM_CONNECTIVITY_IPV6_INTERNET Then Call AddText( _
            sInterface & ".GetConnectivity = IPV6_INTERNET")

    End If

End Sub

Private Sub AddText(ByVal strInfo As String)

    txtInfo.Text = txtInfo.Text & strInfo & vbNewLine

End Sub

